// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    repositories {
        google()
        jcenter()
        maven {
            url "http://mvn.mob.com/android"
        }
        maven {
            url "https://jitpack.io"
        }

    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.1'
        classpath 'com.jakewharton:butterknife-gradle-plugin:9.0.0-rc1'
        //classpath 'com.mob.sdk:MobSDK:+'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        maven {
            url "http://mvn.mob.com/android"
        }
        maven {
            url "https://jitpack.io"
        }
        maven {
            url 'https://dl.bintray.com/cjt/maven'
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

ext {
    compileSdkVersion = 28
    buildToolsVersion = "28.0.3"
    minSdkVersion = 19
    targetSdkVersion = 24
    versionCode = 1
    versionName = "1.0"
    supportVersion = '28.0.0'

    okHttpVersion = '3.8.1'                 //okHttp
    gsonVersion = '2.8.2'                   //gson
    glideVersion = '3.7.0'                  //glide
    eventBusVersion = '3.0.0'               //事件总线
    quickAdapterVersion = '2.9.42'          //baseQuickAdapter
    wechatPayVersion = '5.3.1'              //微信支付

    sign = [
            keyAlias        : "yuyife",
            keyPassword     : "yu445873700",
            storePassword   : "yu445873700",
            storeReleaseFile: "../keystore/yuyife.keystore",
            storeDebugFile  : "../keystore/yuyife.keystore"
    ]

    sign_xinxin = [
            keyAlias        : "xinxin",
            keyPassword     : "123456",
            storePassword   : "123456",
            storeReleaseFile: "../keystore/xinxin.keystore",
            storeDebugFile  : "../keystore/xinxin.keystore"
    ]
    sign_xinxin_debug = [
            keyAlias        : "androiddebugkey",
            keyPassword     : "android",
            storePassword   : "android",
            storeReleaseFile: "../keystore/debug.keystore",
            storeDebugFile  : "../keystore/debug.keystore"
    ]
}